## nepomuk-widgets 4.13.0

=== CMakeLists.txt ===
project(nepomuk-widgets)
# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

set(CMAKE_NEPOMUK_WIDGETS_VERSION_MAJOR 0)
set(CMAKE_NEPOMUK_WIDGETS_VERSION_MINOR 1)
set(CMAKE_NEPOMUK_WIDGETS_VERSION_RELEASE 0)
set(CMAKE_NEPOMUK_WIDGETS_VERSION_STRING "${CMAKE_NEPOMUK_WIDGETS_VERSION_MAJOR}.${CMAKE_NEPOMUK_WIDGETS_VERSION_MINOR}.${CMAKE_NEPOMUK_WIDGETS_VERSION_RELEASE}")

# Search for the required packages
# ================================
find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)

find_package(Soprano)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Qt-based RDF storage and parsing solution" URL "http://soprano.sourceforge.net" TYPE REQUIRED)

find_package(NepomukCore)
set_package_properties(NepomukCore PROPERTIES DESCRIPTION "The core Nepomuk libraries" URL "http://nepomuk.kde.org" TYPE REQUIRED PURPOSE "Required for running Nepomuk")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# Some definitions
# ================
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/ui
  ${CMAKE_SOURCE_DIR}/utils
)


# generate NepomukWidgetsConfig.cmake for easy utilisation of the package by other cmake build systems
# ===============================================================================================
configure_file(NepomukWidgetsConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/NepomukWidgetsConfig.cmake @ONLY)

# Generate NepomukWidgetsConfigVersion.cmake
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/NepomukWidgetsConfigVersion.cmake
                                     ${CMAKE_NEPOMUK_WIDGETS_VERSION_MAJOR}
                                     ${CMAKE_NEPOMUK_WIDGETS_VERSION_MINOR}
                                     ${CMAKE_NEPOMUK_WIDGETS_VERSION_RELEASE}
                                     )
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/NepomukWidgetsConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/NepomukWidgetsConfigVersion.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/NepomukWidgets)

set(nepomuk_ui_SRCS
  ui/kblocklayout.cpp
  ui/tagwidget.cpp
  ui/kedittagsdialog.cpp
  ui/tagcheckbox.cpp
  ui/filemetadatawidget.cpp
  ui/filemetadataconfigwidget.cpp
  ui/filemetadataprovider.cpp
  ui/resourceloader.cpp
  ui/indexeddataretriever.cpp
  ui/kcommentwidget.cpp
  ui/knfotranslator.cpp
  ui/metadatafilter.cpp
  ui/widgetfactory.cpp
)

set(nepomukutils_SRCS
  utils/resourcemodel.cpp
)

set(nepomukwidgets_SRCS ${nepomuk_ui_SRCS} ${nepomukutils_SRCS})

kde4_add_library(nepomukwidgets SHARED ${LIBRARY_TYPE} ${nepomukwidgets_SRCS})

target_link_libraries(nepomukwidgets
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  ${NEPOMUK_CORE_LIBRARY}
)

target_link_libraries(nepomukwidgets
  LINK_INTERFACE_LIBRARIES
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${SOPRANO_LIBRARIES}
)

set_target_properties(nepomukwidgets PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS nepomukwidgets EXPORT NepomukWidgetsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  nepomukwidgets_export.h
  ui/tagwidget.h
  ui/filemetadatawidget.h
  ui/filemetadataconfigwidget.h
  utils/resourcemodel.h

  DESTINATION ${INCLUDE_INSTALL_DIR}/nepomuk2 COMPONENT Devel
)

add_subdirectory(test)

# install the file with the exported targets
install(EXPORT NepomukWidgetsLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/NepomukWidgets
        FILE NepomukWidgetsTargetsWithPrefix.cmake
        )

=== test/CMakeLists.txt ===
project(nepomukwidgets-tests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

add_definitions(-DBUILDING_NEPOMUK_TESTS)

# Ui tests
# --------------------------------------------
kde4_add_executable(tagwidgetapp TEST tagwidgetapp.cpp tagwidgettest.cpp)
target_link_libraries(tagwidgetapp
  ${KDE4_KIO_LIBS}
  ${NEPOMUK_CORE_LIBRARY}
  nepomukwidgets
  )

kde4_add_executable(metadatawidgetapp TEST metadatawidgetapp.cpp metadatawidgettest.cpp)
target_link_libraries(metadatawidgetapp
  ${KDE4_KIO_LIBS}
  ${NEPOMUK_CORE_LIBRARY}
  nepomukwidgets
  )

kde4_add_executable(metadataconfigwidgetapp TEST metadataconfigwidgetapp.cpp )
target_link_libraries(metadataconfigwidgetapp
  ${KDE4_KIO_LIBS}
  ${NEPOMUK_CORE_LIBRARY}
  nepomukwidgets
  )

## nepomuk-widgets 4.10.0

=== debian/changelog ===
nepomuk-widgets (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:19 +0000

nepomuk-widgets (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:05:53 +0000

nepomuk-widgets (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:46:00 +0100

nepomuk-widgets (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:43:45 +0000

nepomuk-widgets (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:13:08 +0000

nepomuk-widgets (4:4.9.80-0ubuntu1) raring; urgency=low

  * Initial release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:16:59 -0500

=== debian/control ===
Source: nepomuk-widgets
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: cmake,
               debhelper (>= 9),               
               kdelibs5-dev (>= 4:4.10.0),
               libsoprano-dev (>= 2.7.56~),
               nepomuk-core-dev,
               pkg-kde-tools (>= 0.12),
               doxygen
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets

Package: libnepomukwidgets-dev
Section: libdevel
Architecture: any
Depends: libnepomukwidgets4 (= ${binary:Version}),
         ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets library -- development files
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for the Nepomuk widgets library.

Package: libnepomukwidgets4
Section: games
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: The Nepomuk Semantik Desktop widgets library
 This is the KDE Meta Data library (not to confuse with KFileMetaData). It consists of
 the following parts:
 - The main resource handling centered around Nepomuk::Resource
 - The handling of ontologies via classes in the Nepomuk::Types namespace
 - The desktop Nepomuk::Query API
 - Several utility methods and classes

Package: nepomuk-widgets-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnepomukwidgets4 (= ${binary:Version}),
         ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets  -- debug package
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the debugging symbols from libnepomukwidgets.

## nepomuk-widgets 4.10.2

=== debian/changelog ===
nepomuk-widgets (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:21 +0200

nepomuk-widgets (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                libsoprano-dev (>= 2.7.56~),
                nepomuk-core-dev,
                pkg-kde-tools (>= 0.12),

## nepomuk-widgets 4.10.3

=== debian/changelog ===
nepomuk-widgets (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:18:30 +0200

nepomuk-widgets (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:21 +0200

nepomuk-widgets (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:33 +0000

nepomuk-widgets (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:19 +0000

nepomuk-widgets (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:05:53 +0000

nepomuk-widgets (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:46:00 +0100

nepomuk-widgets (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:43:45 +0000

nepomuk-widgets (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:13:08 +0000

nepomuk-widgets (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * Initial release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:16:59 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.3),
                libsoprano-dev (>= 2.7.56~),
                nepomuk-core-dev,
                pkg-kde-tools (>= 0.12),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-widgets-dbg

## nepomuk-widgets 4.11.2

=== debian/changelog ===
nepomuk-widgets (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:51:02 +0100

nepomuk-widgets (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:37:44 +0100

nepomuk-widgets (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:40:08 +0100

nepomuk-widgets (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:01:09 +0100

nepomuk-widgets (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbols for libnepomukwidgets4

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:33:28 +0000

nepomuk-widgets (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:29:01 +0100

nepomuk-widgets (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update libnepomukwidgets4.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:46:48 +0100

nepomuk-widgets (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:49:13 +0100

nepomuk-widgets (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:58 +0000

nepomuk-widgets (4:4.10.2-1) experimental; urgency=low

  [ Josep Febrer ]
  [ José Manuel Santamaría Lema ]
  * Initial release. Some bits are sligthly based on Ubuntu; the copyright file
    and package descriptions were copied from there and modified later.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 08 Feb 2013 01:15:20 +0100

=== debian/control ===
Source: nepomuk-widgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
 libsoprano-dev (>= 2.7.56), doxygen
Standards-Version: 3.9.3
Homepage: http://www.kde.org/

Package: libnepomukwidgets-dev
Section: libdevel
Architecture: any
Depends: libnepomukwidgets4 (= ${binary:Version}), ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets library -- development files
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for the Nepomuk widgets library.

Package: libnepomukwidgets4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Semantik Desktop widgets library
 This is the KDE Meta Data library (not to confuse with KFileMetaData). It
 consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource
  - The handling of ontologies via classes in the Nepomuk::Types namespace
  - The desktop Nepomuk::Query API
  - Several utility methods and classes

Package: nepomuk-widgets-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnepomukwidgets4 (= ${binary:Version}), ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets  -- debug package
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the debugging symbols for the Nepomuk widgets library.

## nepomuk-widgets 4.13.0

=== debian/changelog ===
nepomuk-widgets (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:24:53 +0100

nepomuk-widgets (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:52:41 +0200

nepomuk-widgets (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:51:53 +0100

nepomuk-widgets (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:58:55 +0000

nepomuk-widgets (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:13:19 +0100

nepomuk-widgets (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:24:15 +0000

nepomuk-widgets (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:37:51 +0000

nepomuk-widgets (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:40:06 +0000

nepomuk-widgets (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:39:11 +0000

nepomuk-widgets (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:35:03 +0100

nepomuk-widgets (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.13.0), nepomuk-core-dev (>= 4:4.13.0),
  libsoprano-dev (>= 2.7.56), doxygen
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets
 
 Package: libnepomukwidgets-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 .PHONY: override_dh_auto_test
 
+override_dh_makeshlibs:
+	$(overridden_command) -- -c0
+
 override_dh_shlibdeps:
 	$(overridden_command) -- -xkde-runtime

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/nepomuk-widgets-([\d\.]*).tar.xz

## nepomuk-widgets 4.13.1

=== debian/changelog ===
nepomuk-widgets (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:31:17 +0200

nepomuk-widgets (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add vcs fields.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtest.
  * Do not disable an empty test set.
  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 21:13:45 -0300

nepomuk-widgets (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 16:35:55 +0100

nepomuk-widgets (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Enable DebianABIManager.
  * Add symbols file for libnepomukwidgets4abi1.
  * Update optional build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:31:26 +0200

nepomuk-widgets (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:17:51 +0200

nepomuk-widgets (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standars-Version to 3.9.4.
  * Add myself as uploader.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 00:17:39 +0200

=== debian/control ===
Source: nepomuk-widgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake (>= 2.8.6), debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11), nepomuk-core-dev (>= 4:4.11),
 libsoprano-dev (>= 2.9.3), doxygen, libx11-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/nepomuk-widgets.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/nepomuk-widgets.git

Package: libnepomukwidgets-dev
Section: libdevel
Architecture: any
Depends: libnepomukwidgets4abi1 (= ${binary:Version}), ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets library -- development files
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for the Nepomuk widgets library.

Package: libnepomukwidgets4abi1
Architecture: any
X-Debian-ABI: 1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Semantik Desktop widgets library
 This is the KDE Meta Data library (not to confuse with KFileMetaData). It
 consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource
  - The handling of ontologies via classes in the Nepomuk::Types namespace
  - The desktop Nepomuk::Query API
  - Several utility methods and classes

Package: nepomuk-widgets-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnepomukwidgets4abi1 (= ${binary:Version}), ${misc:Depends}
Description: Nepomuk Semantik Desktop widgets  -- debug package
 The Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the debugging symbols for the Nepomuk widgets library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-widgets-dbg

## nepomuk-widgets 4.13.90

=== debian/changelog ===
nepomuk-widgets (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:39:27 +0200

nepomuk-widgets (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: nepomuk-widgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.11),
  cmake (>= 2.8.6), debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11), nepomuk-core-dev (>= 4:4.11),
+ kdelibs5-dev (>= 4:4.13.90), nepomuk-core-dev (>= 4:4.13.90),
  libsoprano-dev (>= 2.9.3), doxygen, libx11-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/nepomuk-widgets.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/nepomuk-widgets.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-widgets
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/nepomuk-widgets.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/nepomuk-widgets.git
 
 Package: libnepomukwidgets-dev
 Section: libdevel
